CVE-1999-1572
CVSS2.1
发布时间 :1996-07-16 00:00:00
修订时间 :2016-10-17 22:06:07
NMCOS    

[原文]cpio on FreeBSD 2.1.0, Debian GNU/Linux 3.0, and possibly other operating systems, uses a 0 umask when creating files using the -O (archive) or -F options, which creates the files with mode 0666 and allows local users to read or overwrite those files.


[CNNVD]CPIO存储服务器不安全文件创建漏洞(CNNVD-199607-005)

        FreeBSD 2.1.0, Debian GNU/Linux 3.0以及可能还包括其他操作系统的cpio,在使用-O (存档)或者-F选项创建文件时会使用一个0 umask,创建了带有0666模式的文件,本地用户可以利用该漏洞读取或覆盖这些文件。

- CVSS (基础分值)

CVSS分值: 2.1 [轻微(LOW)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:redhat:enterprise_linux:4.0::enterprise_server
cpe:/o:redhat:enterprise_linux:4.0::advanced_server
cpe:/o:debian:debian_linux:3.0Debian Debian Linux 3.0
cpe:/o:redhat:enterprise_linux:4.0::workstation
cpe:/o:redhat:enterprise_linux_desktop:4.0Red Hat Desktop 4.0
cpe:/o:mandrakesoft:mandrake_linux:10.1MandrakeSoft Mandrake Linux 10.1
cpe:/o:freebsd:freebsd:2.1.0FreeBSD 2.1.0
cpe:/o:mandrakesoft:mandrake_linux:9.2MandrakeSoft Mandrake Linux 9.2
cpe:/o:mandrakesoft:mandrake_linux:cs2.1MandrakeSoft Mandrake Linux CS2.1
cpe:/o:mandrakesoft:mandrake_linux:cs3.0MandrakeSoft Mandrake Linux CS3.0
cpe:/o:mandrakesoft:mandrake_linux:10.0MandrakeSoft Mandrake Linux 10.0
cpe:/o:ubuntu:ubuntu_linux:4.10

- OVAL (用于检测的技术细节)

oval:org.mitre.oval:def:10888cpio on FreeBSD 2.1.0, Debian GNU/Linux 3.0, and possibly other operating systems, uses a 0 umask when creating files using the -O (archive)...
*OVAL详细的描述了检测该漏洞的方法,你可以从相关的OVAL定义中找到更多检测该漏洞的技术细节。

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-1999-1572
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-1999-1572
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-199607-005
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=110763404701519&w=2
(UNKNOWN)  BUGTRAQ  20050204 [USN-75-1] cpio vulnerability
http://support.avaya.com/elmodocs2/security/ASA-2005-212.pdf
(UNKNOWN)  CONFIRM  http://support.avaya.com/elmodocs2/security/ASA-2005-212.pdf
http://www.debian.org/security/2005/dsa-664
(UNKNOWN)  DEBIAN  DSA-664
http://www.freebsd.org/cgi/query-pr.cgi?pr=bin/1391
(UNKNOWN)  MISC  http://www.freebsd.org/cgi/query-pr.cgi?pr=bin/1391
http://www.mandriva.com/security/advisories?name=MDKSA-2005:032
(UNKNOWN)  MANDRAKE  MDKSA-2005:032
http://www.redhat.com/support/errata/RHSA-2005-073.html
(UNKNOWN)  REDHAT  RHSA-2005:073
http://www.redhat.com/support/errata/RHSA-2005-080.html
(UNKNOWN)  REDHAT  RHSA-2005:080
http://www.redhat.com/support/errata/RHSA-2005-806.html
(UNKNOWN)  REDHAT  RHSA-2005:806
http://www.trustix.org/errata/2005/0003/
(UNKNOWN)  TRUSTIX  2005-0003
http://xforce.iss.net/xforce/xfdb/19167
(UNKNOWN)  XF  cpio-o-archive-insecure-permissions(19167)

- 漏洞信息

CPIO存储服务器不安全文件创建漏洞
低危 设计错误
1996-07-16 00:00:00 2005-10-20 00:00:00
本地  
        FreeBSD 2.1.0, Debian GNU/Linux 3.0以及可能还包括其他操作系统的cpio,在使用-O (存档)或者-F选项创建文件时会使用一个0 umask,创建了带有0666模式的文件,本地用户可以利用该漏洞读取或覆盖这些文件。

- 公告与补丁

        The vendor has released an upgrade dealing with this issue.
        Ubuntu linux has released an advisory (USN-75-1) dealing with this issue. Please see the referenced advisory for more information.
        Debian linux has released an advisory dealing with this issue. Please see the referenced advisory for more information.
        Mandrake has released an advisory (MDKSA-2005:032) to address this issue. Please see the attached Mandrake advisory for details on obtaining and applying fixes. Update (02/12/05): Mandrake has re-released advisory MDKSA-2005:032 as MDKSA-2005:032-1 to correct a problem (they would not install with rpmdrake) with fixes for Mandrake 10.1. See the references section.
        Trustix has released advisory TSLSA-2005-0003 to address various issues in multiple products. Please see the referenced advisory for more information.
        Red Hat has released advisory RHSA-2005:080-06 to address this issue. Please see the advisory in Web references for more information.
        Silicon Graphics has released advisory 20050204-01-U dealing with this and other issues for their Advanced Linux Environment packages. Please see the referenced advisories for more information.
        Turbolinux has released advisory TLSA-2005-30 to address this issue. Please see the referenced advisory for more information.
        Conectiva has released security advisory CLSA-2005:1002 addressing this issue. Please see the referenced advisory for details on obtaining and applying the appropriate updates.
        Avaya has released advisory ASA-2005-212 to indicate that Avaya CVLAN and Integrated Management products are vulnerable to this issue. Customers are advised to apply patches supplied by vendors of the underlying operating systems. Please see the referenced advisory for more information.
        RedHat has released security advisory RHSA-2005:806-8 addressing this issue for their Enterprise and Advanced Workstation editions. Users are advised to see the referenced Web advisory for further information.
        GNU cpio 1.0
        
        GNU cpio 1.1
        
        GNU cpio 1.2
        
        Turbolinux Turbolinux Server 10.0
        

- 漏洞信息

13350
cpio -O Parameter umask Permission Weakness
Vendor Verified

- 漏洞描述

Unknown or Incomplete

- 时间线

1996-07-16 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

CPIO Archiver Local Insecure File Creation Vulnerability
Design Error 12404
No Yes
1996-07-16 12:00:00 2009-07-12 10:06:00
Georg-W. Koltermann is credited with the discovery of this issue.

- 受影响的程序版本

Ubuntu Ubuntu Linux 4.1 ppc
Ubuntu Ubuntu Linux 4.1 ia64
Ubuntu Ubuntu Linux 4.1 ia32
Turbolinux Turbolinux Server 10.0
Trustix Secure Linux 2.2
Trustix Secure Linux 2.1
Trustix Secure Linux 1.5
Trustix Secure Enterprise Linux 2.0
SGI Advanced Linux Environment 3.0
RedHat Enterprise Linux WS 3
RedHat Enterprise Linux WS 2.1 IA64
RedHat Enterprise Linux WS 2.1
RedHat Enterprise Linux ES 3
RedHat Enterprise Linux ES 2.1 IA64
RedHat Enterprise Linux ES 2.1
RedHat Desktop 3.0
RedHat Advanced Workstation for the Itanium Processor 2.1 IA64
RedHat Advanced Workstation for the Itanium Processor 2.1
Red Hat Enterprise Linux AS 3
Red Hat Enterprise Linux AS 2.1 IA64
Red Hat Enterprise Linux AS 2.1
GNU cpio 1.2
GNU cpio 1.1
GNU cpio 1.0
Debian Linux 3.0 sparc
Debian Linux 3.0 s/390
Debian Linux 3.0 ppc
Debian Linux 3.0 mipsel
Debian Linux 3.0 mips
Debian Linux 3.0 m68k
Debian Linux 3.0 ia-64
Debian Linux 3.0 ia-32
Debian Linux 3.0 hppa
Debian Linux 3.0 arm
Debian Linux 3.0 alpha
Debian Linux 3.0
Conectiva Linux 10.0
Avaya Integrated Management 2.1
Avaya Integrated Management
Avaya CVLAN
GNU cpio 2.6
+ Gentoo Linux
+ Mandriva Linux Mandrake 2006.0 x86_64
+ Mandriva Linux Mandrake 2006.0
+ Mandriva Linux Mandrake 10.2 x86_64
+ Mandriva Linux Mandrake 10.2
GNU cpio 2.5.90
GNU cpio 2.5
+ Debian Linux 3.1
+ MandrakeSoft Corporate Server 3.0 x86_64
+ MandrakeSoft Corporate Server 3.0
+ MandrakeSoft Corporate Server 2.1 x86_64
+ MandrakeSoft Corporate Server 2.1
+ Mandriva Linux Mandrake 10.1 x86_64
+ Mandriva Linux Mandrake 10.1
+ Mandriva Linux Mandrake 10.0 AMD64
+ Mandriva Linux Mandrake 10.0
+ Mandriva Linux Mandrake 9.2 amd64
+ Mandriva Linux Mandrake 9.2
+ Mandriva Linux Mandrake 9.1 ppc
+ Mandriva Linux Mandrake 9.1
+ Ubuntu Ubuntu Linux 5.10 powerpc
+ Ubuntu Ubuntu Linux 5.10 i386
+ Ubuntu Ubuntu Linux 5.10 amd64
+ Ubuntu Ubuntu Linux 5.0 4 powerpc
+ Ubuntu Ubuntu Linux 5.0 4 i386
+ Ubuntu Ubuntu Linux 5.0 4 amd64
+ Ubuntu Ubuntu Linux 4.1 ppc
+ Ubuntu Ubuntu Linux 4.1 ia64
+ Ubuntu Ubuntu Linux 4.1 ia32
GNU cpio 2.4.2
+ Debian Linux 3.0 sparc
+ Debian Linux 3.0 s/390
+ Debian Linux 3.0 ppc
+ Debian Linux 3.0 mipsel
+ Debian Linux 3.0 mips
+ Debian Linux 3.0 m68k
+ Debian Linux 3.0 ia-64
+ Debian Linux 3.0 ia-32
+ Debian Linux 3.0 hppa
+ Debian Linux 3.0 arm
+ Debian Linux 3.0 alpha
+ Debian Linux 3.0
GNU cpio 1.3

- 不受影响的程序版本

GNU cpio 2.6
+ Gentoo Linux
+ Mandriva Linux Mandrake 2006.0 x86_64
+ Mandriva Linux Mandrake 2006.0
+ Mandriva Linux Mandrake 10.2 x86_64
+ Mandriva Linux Mandrake 10.2
GNU cpio 2.5.90
GNU cpio 2.5
+ Debian Linux 3.1
+ MandrakeSoft Corporate Server 3.0 x86_64
+ MandrakeSoft Corporate Server 3.0
+ MandrakeSoft Corporate Server 2.1 x86_64
+ MandrakeSoft Corporate Server 2.1
+ Mandriva Linux Mandrake 10.1 x86_64
+ Mandriva Linux Mandrake 10.1
+ Mandriva Linux Mandrake 10.0 AMD64
+ Mandriva Linux Mandrake 10.0
+ Mandriva Linux Mandrake 9.2 amd64
+ Mandriva Linux Mandrake 9.2
+ Mandriva Linux Mandrake 9.1 ppc
+ Mandriva Linux Mandrake 9.1
+ Ubuntu Ubuntu Linux 5.10 powerpc
+ Ubuntu Ubuntu Linux 5.10 i386
+ Ubuntu Ubuntu Linux 5.10 amd64
+ Ubuntu Ubuntu Linux 5.0 4 powerpc
+ Ubuntu Ubuntu Linux 5.0 4 i386
+ Ubuntu Ubuntu Linux 5.0 4 amd64
+ Ubuntu Ubuntu Linux 4.1 ppc
+ Ubuntu Ubuntu Linux 4.1 ia64
+ Ubuntu Ubuntu Linux 4.1 ia32
GNU cpio 2.4.2
+ Debian Linux 3.0 sparc
+ Debian Linux 3.0 s/390
+ Debian Linux 3.0 ppc
+ Debian Linux 3.0 mipsel
+ Debian Linux 3.0 mips
+ Debian Linux 3.0 m68k
+ Debian Linux 3.0 ia-64
+ Debian Linux 3.0 ia-32
+ Debian Linux 3.0 hppa
+ Debian Linux 3.0 arm
+ Debian Linux 3.0 alpha
+ Debian Linux 3.0
GNU cpio 1.3

- 漏洞讨论

A local insecure file creation vulnerability affects cpio. This issue is due to a failure of the application to create files securely.

This issue may be exploited by an attacker to manipulate or read any files created by the affected utility.

- 漏洞利用

No exploit is required to leverage this issue.

- 解决方案

The vendor has released an upgrade dealing with this issue.

Ubuntu linux has released an advisory (USN-75-1) dealing with this issue. Please see the referenced advisory for more information.

Debian linux has released an advisory dealing with this issue. Please see the referenced advisory for more information.

Mandrake has released an advisory (MDKSA-2005:032) to address this issue. Please see the attached Mandrake advisory for details on obtaining and applying fixes. Update (02/12/05): Mandrake has re-released advisory MDKSA-2005:032 as MDKSA-2005:032-1 to correct a problem (they would not install with rpmdrake) with fixes for Mandrake 10.1. See the references section.

Trustix has released advisory TSLSA-2005-0003 to address various issues in multiple products. Please see the referenced advisory for more information.

Red Hat has released advisory RHSA-2005:080-06 to address this issue. Please see the advisory in Web references for more information.

Silicon Graphics has released advisory 20050204-01-U dealing with this and other issues for their Advanced Linux Environment packages. Please see the referenced advisories for more information.

Turbolinux has released advisory TLSA-2005-30 to address this issue. Please see the referenced advisory for more information.

Conectiva has released security advisory CLSA-2005:1002 addressing this issue. Please see the referenced advisory for details on obtaining and applying the appropriate updates.

Avaya has released advisory ASA-2005-212 to indicate that Avaya CVLAN and Integrated Management products are vulnerable to this issue. Customers are advised to apply patches supplied by vendors of the underlying operating systems. Please see the referenced advisory for more information.

RedHat has released security advisory RHSA-2005:806-8 addressing this issue for their Enterprise and Advanced Workstation editions. Users are advised to see the referenced Web advisory for further information.


GNU cpio 1.0

GNU cpio 1.1

GNU cpio 1.2

Turbolinux Turbolinux Server 10.0

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站